summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Petazzoni <thomas.petazzoni@free-electrons.com>2009-12-15 20:03:50 (GMT)
committer Thomas Petazzoni <thomas.petazzoni@free-electrons.com>2009-12-15 20:03:50 (GMT)
commit8dba09de9d62422167164df0038d7d7cf062a252 (patch)
tree8fd60b3c915e26a2bfd88cbe7773e6716046300e
parentf3f1a94313361c251c4dfa164921d475835c763d (diff)
downloadbuildroot-8dba09de9d62422167164df0038d7d7cf062a252.tar.gz
buildroot-8dba09de9d62422167164df0038d7d7cf062a252.tar.bz2
dependencies: bail out if makeinfo isn't found
makeinfo is mandatory at least to build a toolchain. Currently, dependencies.sh doesn't fail if makeinfo is not present and only displays a message that can easily be lost. The user will then encounter the issue later, when it is more difficult to understand what's happening. So, this patch simply does for makeinfo what the script does for the other dependencies: bail out if they aren't available. Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
-rwxr-xr-xtoolchain/dependencies/dependencies.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/toolchain/dependencies/dependencies.sh b/toolchain/dependencies/dependencies.sh
index a3ee111..e503097 100755
--- a/toolchain/dependencies/dependencies.sh
+++ b/toolchain/dependencies/dependencies.sh
@@ -308,6 +308,7 @@ if ! which makeinfo > /dev/null ; then \
/bin/echo -e "\n\nMost likely some packages will fail to build their documentation"
echo "Either install 'makeinfo' on your host or fix the respective packages."
echo "Makeinfo can usually be found in the texinfo package for your host."
+ exit 1
else
echo "makeinfo installed: Ok"
fi